Page MenuHomePhabricator

[GOAL] Page Tools available on all wikis
Closed, ResolvedPublic

Description

Background

Currently, page tools and global navigational tools are available together within the sidebar. For example, on English Wikipedia, the tools section of the menu contains links like Special Pages (leading to a list of all special pages) along with links such as Wikidata Item (displays the wikidata item for a specific page/article). This makes it difficult to distinguish which links are related to or will act upon the page/article itself and which links are related to the site as a whole.

This epic focuses on the separation of these two types of links with the goal of making it easier for people to find the page-specific links.

Use Cases

As a reader or editor, I want to quickly distinguish between page tools and global tools so that I can better understand the structure of the page
As a reader or editor, I want quick access to page tools and global tools so that I don’t spent a lot of time finding the tool I need
As a reader or editor, I want the ability to select which tools I want to see all the time, so that my experience is catered to my needs

Requirements

A new menu is created that contains the only the page tools
The new menu is located in a place more intuitive for the page tools, making a visual link between the location of the links and their purpose
People have the option of making the global tools or page tools persistent to fit their reading or editing needs
The global tools and page tools are available by default for logged-in users
The global tools and page tools are not available by default for anonymous users

Prototype

https://vector-2022.web.app/Moth

Related Objects

StatusSubtypeAssignedTask
Resolvedovasileva
Resolvedovasileva
Resolvedsgrabarczuk
Resolvedovasileva
ResolvedJdrewniak
Resolved Mabualruz
ResolvedJdlrobson
ResolvedOct 10 2022ovasileva
Resolvedovasileva
ResolvedJdlrobson
Resolvedovasileva
ResolvedNov 7 2022ovasileva
DuplicateBUG REPORTJdlrobson
Resolved Mabualruz
Resolvedovasileva
OpenNone
Resolvedovasileva
OpenJdrewniak
OpenNone
DeclinedNone
Invalid alexhollender_WMF
ResolvedOct 10 2022Jdrewniak
Resolvedbwang
Resolvedovasileva
ResolvedNone
DeclinedNone
Resolvedovasileva
Resolved alexhollender_WMF
Resolvedovasileva
ResolvedJdlrobson
ResolvedJdrewniak
Invalidovasileva
StalledJdrewniak
Resolvedovasileva

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
ovasileva triaged this task as Medium priority.Feb 18 2022, 12:08 PM
ovasileva added a subscriber: alexhollender_WMF.
ovasileva raised the priority of this task from Medium to High.Apr 19 2022, 2:18 PM
ovasileva lowered the priority of this task from High to Medium.May 31 2022, 5:44 PM

Yesterday met with Olga, Alex and Lani and we said we'd do this next quarter.

@ovasileva see newly created subtasks for work that we can begin. At top of each ticket I've noted the blockers to help with sequencing.

Jdlrobson set the point value for this task to 1.Sep 29 2022, 5:30 PM
Jdlrobson renamed this task from [EPIC] Article Tools to [GOAL] Article Tools available on all wikis.Oct 4 2022, 9:01 PM
alexhollender_WMF renamed this task from [GOAL] Article Tools available on all wikis to [GOAL] Page Tools available on all wikis.Oct 25 2022, 7:19 PM